Reklam

Çizim Paylaş

Bülten Aboneliği
*  E-posta adresiniz:



* Güvenlik kodu:

Seçilen çizgileri POLYLINE yapan lisp

Komutu çalıştır Objeleri seç işte hepsi polyline
admin - 14.06.2006 01:19
Yazar:
Kaynak:

(Kontrol panelinizde görünür)
Bu lispi çalıştırmak için make_pl enter objeleri seç bitti hepsi polylıne oldu bile...

Buraya tıklayarak açılan pencereden AutoLISP kodlarını Ctrl + C ile kopyalayabilirsiniz

Kod:

; /////////////////////////////////////////////////////////////////
; ///
; ///  Birleşebilen tüm çizgileri POLYLINE haline getirir
; ///
; /////////////////////////////////////////////////////////////////

(defun C:make_pl( / )
  (princ "nElemanlari seciniz: ")
  (setq sset (ssget))
  ; (setq sset (ssget "X" (list (cons 0 "LINE"))))
  (setq adet (sslength sset))
  (setq syc 0)
  (repeat adet
     (setq eleman (ssname sset syc))
     (setq elmBlg (entget eleman))
     (if (= (cdr(assoc 0 elmBlg)) "LINE")
       (progn
          (command "_PEDIT" eleman "Y" "JOIN" "ALL" "" "X")
       )
     )
     (setq syc (1+ syc))
  )
  (princ)
)
(PRINC " --> 'www.autocadokulu.com' Çizim yardımları yüklendi !")


Bu kodları nasıl kullanacağınızı bilmiyorsanız aşağıdaki linkten;
AutoLISP > Konu Anlatımları > Lisp Dosyalarının oluşturulması ve Yüklenmesi
konusunu inceleyiniz.
Yorumlar :
microlight   09.11.2017 16:40 #15824  

AutoCad 2007 ders notları veya PDF kitap lazım, acil..

tabusuz   03.11.2017 16:02 #15823  

guzel lisp..calisiyor mu calismiyor mu?

cmloz   28.11.2016 22:31 #15730  

polyline cizerkken her koseye kotlu nasıl cızebılırım? dosemede kot farkı var ve ben her kot farkının oldugu yere kot girmel istiyorum

FatihOZDAMAR   09.06.2016 12:24 #15689  

selamlar arkadaşlar ;
paylaştığım ekran resminde göreceğiniz uzere daha hatları tek bir çizgi ile çizilmiş ve o hattan kac adet kablo gideceği yazılmış
şimdi sorum şu;
mevcut line'ı o hattın uzunluğunda uzerine yazılan kadar çoğaltıp aynı zamanda çoğalttığım çizgilerin görunmemesi için kullanabileceğim bir özellik varmı ?
metraj cıkartmam lazım acilen böyle birseye ihtiyacım var
şimdiden tesekkur ederim

tabusuz   05.06.2015 15:50 #15562  

arkadaslar elınıze saglık..kucuk bır soru bunu yukledım claıstı fakat he acılısta yenıden yuklemek zorunda laıyorum..dıger lısplerımı bır kere yuledıkm ve sureklı kulanıyorum..bunuda aynı yapmak ıstıyorum ama beceremedım..nasıl yapacaz acaba?

trestil   03.01.2013 16:45 #14916  

Aklınıza sağlık; metraj çıkarmada işime yarıyor. sağolun.

jahma666   26.02.2012 16:19 #14527  

Bende autocad'i kilitlemeye başladı bu lisp yardım lütfen, elimde çok alıştı kullanmaya...

admin   29.01.2012 04:10 #14488  

Bu sayfayı okudunuzmu? Lisp yüklemek

yituk   28.01.2012 18:42 #14486  

bende mm yapmama rağmen çalışmadı ne yanlış

RedLines   25.10.2009 18:43 #11917  

Kod:

; /////////////////////////////////////////////////////////////////
; ///
; ///  Birleşebilen tüm çizgileri POLYLINE haline getirir
; ///
; /////////////////////////////////////////////////////////////////

(defun C:mm( / )
  (princ "nElemanlari seciniz: ")
  (setq sset (ssget))
  ; (setq sset (ssget "X" (list (cons 0 "LINE"))))
  (setq adet (sslength sset))
  (setq syc 0)
  (repeat adet
     (setq eleman (ssname sset syc))
     (setq elmBlg (entget eleman))
     (if (= (cdr(assoc 0 elmBlg)) "LINE")
       (progn
          (command "_PEDIT" eleman "Y" "JOIN" "ALL" "" "X")
       )
     )
     (setq syc (1+ syc))
  )
  (princ)
)
(PRINC " --> 'www.autocadokulu.com' Çizim yardımları yüklendi !")

RedLines   25.10.2009 18:42 #11916  

kısayol tuşunu mm yaptım ;)

brl_ozdemir   20.10.2009 11:51 #11892  

make_pl diye çalışıyo sanırım

Sessiz Kabus   19.09.2007 13:00 #5633  

çalışmıyor kısayol tuşu

ozgen   23.03.2007 09:08 #3528  

bu lispi calistiramadim yarim edebilirmisiniz...

Copyright © 2004-2017 | Tüm Hakları Saklıdır | 2188 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam